Bug 743409 - Review Request: drupal7-diff - Show diff-type changes in Drupal 7
Review Request: drupal7-diff - Show diff-type changes in Drupal 7
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Borsa
Fedora Extras Quality Assurance
Depends On:
Blocks: InsightReviews
  Show dependency treegraph
Reported: 2011-10-04 15:55 EDT by Paul W. Frields
Modified: 2011-11-28 14:28 EST (History)
5 users (show)

See Also:
Fixed In Version: drupal7-diff-2.0-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-11-19 18:29:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
peter.borsa: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Paul W. Frields 2011-10-04 15:55:58 EDT
Spec URL: http://pfrields.fedorapeople.org/packages/SPECS/drupal7-diff.spec
SRPM URL: http://pfrields.fedorapeople.org/packages/SRPMS/drupal7-diff-2.0-1.fc16.src.rpm
Description: This module adds a tab for sufficiently permissioned users. The tab
shows all revisions like standard Drupal but it also allows pretty
viewing of all added/changed/deleted words between revisions.
Comment 1 Scott Dodson 2011-10-05 15:25:05 EDT
This is my first review, I am not yet a member of the packager's group. As such I have not set any flags.

MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint rpmbuild/RPMS/noarch/drupal7-diff-2.0-1.fc15.noarch.rpm rpmbuild/SRPMS/drupal7-diff-2.0-1.fc15.src.rpm rpmbuild/SPECS/drupal7-diff.spec 
drupal7-diff.noarch: W: spelling-error %description -l en_US permissioned -> permission ed, permission-ed, permission
drupal7-diff.src: W: spelling-error %description -l en_US permissioned -> permission ed, permission-ed, permission
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Two debatable spelling warnings can be ignored.

All of the following criteria have been met.

MUST: The package must be named according to the Package Naming

MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

MUST: The package must meet the Packaging Guidelines .

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .

MUST: The License field in the package spec file must match the actual license.

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

MUST: The spec file must be written in American English.

MUST: The spec file for the package MUST be legible.

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

$ md5sum rpmbuild/SOURCES/diff-7.x-2.0.tar.gz ; curl -s -o - http://ftp.drupal.org/files/projects/diff-7.x-2.0.tar.gz | md5sum -
e25c84e6b7c7ec21ae2caeefe176a7b5  rpmbuild/SOURCES/diff-7.x-2.0.tar.gz
e25c84e6b7c7ec21ae2caeefe176a7b5  -

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

N/A noarch package
MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

N/A MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

MUST: Packages must NOT bundle copies of system libraries.

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.

MUST: Each package must consistently use macros.

MUST: The package must contain code, or permissable content.

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

N/A MUST: Header files must be in a -devel package.

N/A MUST: Static libraries must be in a -static package.

N/A MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

N/A MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

MUST: All filenames in rpm packages must be valid UTF-8.

Comment 2 Scott Dodson 2011-10-05 15:27:49 EDT
Additional run of rpmlint against the src.rpm provided, previous run was against the rebuild src.rpm on my local system.

$ rpmlint ~/packages/drupal7-diff-2.0-1.fc16.src.rpm 
drupal7-diff.src: W: spelling-error %description -l en_US permissioned -> permission ed, permission-ed, permission
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 3 Peter Borsa 2011-10-11 13:01:52 EDT
I've reviewed as well and gotten the same as Scott. Thank you, Scott!

Comment 4 Paul W. Frields 2011-10-25 19:56:23 EDT
New Package SCM Request
Package Name: drupal7-diff
Short Description: Show diff-type changes in Drupal 7
Owners: pfrields asrob
Branches: f15 f16 el5 el6
InitialCC: sdodson
Comment 5 Jon Ciesla 2011-10-25 20:48:57 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2011-11-08 10:22:36 EST
drupal7-diff-2.0-1.fc16 has been submitted as an update for Fedora 16.
Comment 7 Fedora Update System 2011-11-08 10:23:21 EST
drupal7-diff-2.0-1.fc15 has been submitted as an update for Fedora 15.
Comment 8 Fedora Update System 2011-11-08 10:24:01 EST
drupal7-diff-2.0-1.el6 has been submitted as an update for Fedora EPEL 6.
Comment 9 Fedora Update System 2011-11-08 10:24:31 EST
drupal7-diff-2.0-1.el5 has been submitted as an update for Fedora EPEL 5.
Comment 10 Fedora Update System 2011-11-08 10:25:27 EST
drupal7-theme-ninesixty-1.0-1.fc16 has been submitted as an update for Fedora 16.
Comment 11 Fedora Update System 2011-11-10 02:31:20 EST
drupal7-diff-2.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.
Comment 12 Fedora Update System 2011-11-19 18:29:27 EST
drupal7-diff-2.0-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 13 Fedora Update System 2011-11-19 18:31:03 EST
drupal7-diff-2.0-1.fc15 has been pushed to the Fedora 15 stable repository.
Comment 14 Fedora Update System 2011-11-28 14:26:38 EST
drupal7-diff-2.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 15 Fedora Update System 2011-11-28 14:28:21 EST
drupal7-diff-2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.